WWP Engine Docs
API ReferenceServer

Stats

POST
/server/stats

Authorization

ApiKeyAuth
x-api-key<token>

API key from /account/api-keys. Free tier: 100 req/hr. Pro tier: 1000 req/hr.

In: header

Response Body

application/json

curl -X POST "https://gmp.ffstudios.io/api/rpc/api-reference/server/stats"
{
  "uuid": "string",
  "pid": -9007199254740991,
  "totalTime": 0,
  "averageTime": 0,
  "count": -9007199254740991,
  "uptime": 0,
  "uptimeHumanReadable": "string",
  "statusCodes": {
    "property1": -9007199254740991,
    "property2": -9007199254740991
  },
  "endpointStats": {
    "property1": {
      "totalTime": 0,
      "averageTime": 0,
      "count": -9007199254740991,
      "statusCodes": {
        "property1": -9007199254740991,
        "property2": -9007199254740991
      }
    },
    "property2": {
      "totalTime": 0,
      "averageTime": 0,
      "count": -9007199254740991,
      "statusCodes": {
        "property1": -9007199254740991,
        "property2": -9007199254740991
      }
    }
  },
  "customStats": {
    "property1": {
      "totalTime": 0,
      "averageTime": 0,
      "started": -9007199254740991,
      "count": -9007199254740991
    },
    "property2": {
      "totalTime": 0,
      "averageTime": 0,
      "started": -9007199254740991,
      "count": -9007199254740991
    }
  }
}